## golang-github-containers-dnsname 1.1.1+ds1

=== debian/changelog ===
golang-github-containers-dnsname (1.1.1+ds1-4) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 07 Dec 2020 17:33:05 -0500

golang-github-containers-dnsname (1.1.1+ds1-3) experimental; urgency=medium

  * Improve package name and description

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 07 Dec 2020 06:39:39 -0500

golang-github-containers-dnsname (1.1.1+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 06 Dec 2020 11:24:00 -0500

golang-github-containers-dnsname (1.1.1+ds1-1) experimental; urgency=medium

  * Initial release (Closes: #976237)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 02 Dec 2020 09:14:56 -0500
