=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source
	# move plugin to correct destination
	mv -v debian/golang-github-containernetworking-plugin-dnsname/usr/bin \
	      debian/golang-github-containernetworking-plugin-dnsname/usr/lib

override_dh_auto_test:
	# tests require root
