## golang-github-containers-dnsname 1.3.1+ds1

=== debian/changelog ===
golang-github-containers-dnsname (1.3.1+ds1-2) unstable; urgency=medium

  * Team upload.
  * Bump cni to 1.0.1
  * Replace transitional package golang-logrus-dev

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Feb 2022 00:45:05 +0800

golang-github-containers-dnsname (1.3.1+ds1-1) unstable; urgency=medium

  [ Lorenz Schori ]
  * [d0787da8] Move dnsname plugin to the correct place (Closes: #985549)
  * [4c158f00] Add missing dnsmasq-base dependency (Closes: #985548, #991525)

  [ Leo Antunes ]
  * [bb7ac3d5] bump policy to 4.6.0.1 (no changes)
  * [8cd85f3a] update debian/* to match current archive package
  * [209cbc5b] debian: add README.source and missing gbp.conf settings

 -- Leo Antunes <costela@debian.org>  Mon, 11 Oct 2021 22:32:17 +0200
