=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: golang-github-containers-dnsname
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Leo Antunes <costela@debian.org>
 Section: golang
